Instrument Control (GPIB, Serial, VISA, IVI)

cancel
Showing results for 
Search instead for 
Did you mean: 

USB-GPIB-HS

Solved!
Go to solution

Hello,

I have installed NI-VISA 17.5 on my windows 10 computer. It easily finds USB instruments attached to my computer and I can establish a communication link with those.

However, I have old instruments that can only communicate through GPIB. For these, we bought a NI GPIB-USB-HS control device. It seems we need to install an additional driver to use the GPIB-USB-HS. I read on the download page that NI-VISA is able to control GPIB instruments.

What is the driver needed to continue working with NI-VISA ?

 

Thanks for your help and have a nice day,

Baudouin

0 Kudos
Message 1 of 5
(462 Views)

Have you installed NI-488.2 driver for your NI hardware?

Now Using LabVIEW 2019SP1 and TestStand 2019
Message 2 of 5
(424 Views)
Solution
Accepted by Baudouin.de-m

I just sent a co-worker instructions for using that interface.  Here are the links to the drivers.  GovBob mentioned 488.2 (GPIB) which is required but I don't think NI clearly mentions it. 🙄  You have VISA but I also recommend you get the Sys Config package since it has NI-MAX and IO-Trace which can be VERY useful.

 

 

LabVIEW Pro & Measurement Studio Pro (VS Pro) 2019
0 Kudos
Message 3 of 5
(413 Views)

Thanks GovBob for your answer, I understand I also need NI-488.2, although I first thought we had to choose between NI-VISA or NI-488.2 !

I have the full install of NI-VISA, do you think the NI-488.2 runtime is enough or the full install is required ?

I must admit I do not really understand what is included or not in these different install programs.


 

 

0 Kudos
Message 4 of 5
(401 Views)

Hi Niquist,
Thanks for your answer too,
No it ain't clearly mentioned and, on the download page, NI-VISA is said to work with GPIB devices. The full install is also quite huge so I assumed it hat the USB-GPIB-HS driver included !
NI-MAX is included in NI-VISA (full install), I don't know for IO-Trace.
For all these installs (NI-VISA, NI-488.2 and NI System config) do you make all full installs or some runtime only ?
I use VisaComLib in Excel VBA to make very small programs that help in the lab, it is not big scale production software. So I look forward to have a small software installation footprint, do you think the runtime are enough ?

Thank you for your answer and have a nice day,
Baudouin

0 Kudos
Message 5 of 5
(348 Views)